# coding=utf-8

iso4217 = [
    {'country.name': 'AFGHANISTAN', 'currency.code': 'AFN', 'currency.digits': '2', 'currency.number': '971', 'currency.name': 'Afghani'},
    {'country.name': 'ÅLAND ISLANDS', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'ALBANIA', 'currency.code': 'ALL', 'currency.digits': '2', 'currency.number': '008', 'currency.name': 'Lek'},
    {'country.name': 'ALGERIA', 'currency.code': 'DZD', 'currency.digits': '2', 'currency.number': '012', 'currency.name': 'Algerian Dinar'},
    {'country.name': 'AMERICAN SAMOA', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'ANDORRA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'ANGOLA', 'currency.code': 'AOA', 'currency.digits': '2', 'currency.number': '973', 'currency.name': 'Kwanza'},
    {'country.name': 'ANGUILLA', 'currency.code': 'XCD', 'currency.digits': '2', 'currency.number': '951', 'currency.name': 'East Caribbean Dollar'},
    {'country.name': 'ANTIGUA AND BARBUDA', 'currency.code': 'XCD', 'currency.digits': '2', 'currency.number': '951', 'currency.name': 'East Caribbean Dollar'},
    {'country.name': 'ARGENTINA', 'currency.code': 'ARS', 'currency.digits': '2', 'currency.number': '032', 'currency.name': 'Argentine Peso'},
    {'country.name': 'ARMENIA', 'currency.code': 'AMD', 'currency.digits': '2', 'currency.number': '051', 'currency.name': 'Armenian Dram'},
    {'country.name': 'ARUBA', 'currency.code': 'AWG', 'currency.digits': '2', 'currency.number': '533', 'currency.name': 'Aruban Florin'},
    {'country.name': 'AUSTRALIA', 'currency.code': 'AUD', 'currency.digits': '2', 'currency.number': '036', 'currency.name': 'Australian Dollar'},
    {'country.name': 'AUSTRIA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'AZERBAIJAN', 'currency.code': 'AZN', 'currency.digits': '2', 'currency.number': '944', 'currency.name': 'Azerbaijan Manat'},
    {'country.name': 'BAHAMAS (THE)', 'currency.code': 'BSD', 'currency.digits': '2', 'currency.number': '044', 'currency.name': 'Bahamian Dollar'},
    {'country.name': 'BAHRAIN', 'currency.code': 'BHD', 'currency.digits': '3', 'currency.number': '048', 'currency.name': 'Bahraini Dinar'},
    {'country.name': 'BANGLADESH', 'currency.code': 'BDT', 'currency.digits': '2', 'currency.number': '050', 'currency.name': 'Taka'},
    {'country.name': 'BARBADOS', 'currency.code': 'BBD', 'currency.digits': '2', 'currency.number': '052', 'currency.name': 'Barbados Dollar'},
    {'country.name': 'BELARUS', 'currency.code': 'BYN', 'currency.digits': '2', 'currency.number': '933', 'currency.name': 'Belarusian Ruble'},
    {'country.name': 'BELGIUM', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'BELIZE', 'currency.code': 'BZD', 'currency.digits': '2', 'currency.number': '084', 'currency.name': 'Belize Dollar'},
    {'country.name': 'BENIN', 'currency.code': 'XOF', 'currency.digits': '0', 'currency.number': '952', 'currency.name': 'CFA Franc BCEAO'},
    {'country.name': 'BERMUDA', 'currency.code': 'BMD', 'currency.digits': '2', 'currency.number': '060', 'currency.name': 'Bermudian Dollar'},
    {'country.name': 'BHUTAN', 'currency.code': 'INR', 'currency.digits': '2', 'currency.number': '356', 'currency.name': 'Indian Rupee'},
    {'country.name': 'BHUTAN', 'currency.code': 'BTN', 'currency.digits': '2', 'currency.number': '064', 'currency.name': 'Ngultrum'},
    {'country.name': 'BOLIVIA (PLURINATIONAL STATE OF)', 'currency.code': 'BOB', 'currency.digits': '2', 'currency.number': '068', 'currency.name': 'Boliviano'},
    {'country.name': 'BOLIVIA (PLURINATIONAL STATE OF)', 'currency.code': 'BOV', 'currency.digits': '2', 'currency.number': '984', 'currency.name': 'Mvdol'},
    {'country.name': 'BONAIRE, SINT EUSTATIUS AND SABA', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'BOSNIA AND HERZEGOVINA', 'currency.code': 'BAM', 'currency.digits': '2', 'currency.number': '977', 'currency.name': 'Convertible Mark'},
    {'country.name': 'BOTSWANA', 'currency.code': 'BWP', 'currency.digits': '2', 'currency.number': '072', 'currency.name': 'Pula'},
    {'country.name': 'BOUVET ISLAND', 'currency.code': 'NOK', 'currency.digits': '2', 'currency.number': '578', 'currency.name': 'Norwegian Krone'},
    {'country.name': 'BRAZIL', 'currency.code': 'BRL', 'currency.digits': '2', 'currency.number': '986', 'currency.name': 'Brazilian Real'},
    {'country.name': 'BRITISH INDIAN OCEAN TERRITORY (THE)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'BRUNEI DARUSSALAM', 'currency.code': 'BND', 'currency.digits': '2', 'currency.number': '096', 'currency.name': 'Brunei Dollar'},
    {'country.name': 'BULGARIA', 'currency.code': 'BGN', 'currency.digits': '2', 'currency.number': '975', 'currency.name': 'Bulgarian Lev'},
    {'country.name': 'BURKINA FASO', 'currency.code': 'XOF', 'currency.digits': '0', 'currency.number': '952', 'currency.name': 'CFA Franc BCEAO'},
    {'country.name': 'BURUNDI', 'currency.code': 'BIF', 'currency.digits': '0', 'currency.number': '108', 'currency.name': 'Burundi Franc'},
    {'country.name': 'CABO VERDE', 'currency.code': 'CVE', 'currency.digits': '2', 'currency.number': '132', 'currency.name': 'Cabo Verde Escudo'},
    {'country.name': 'CAMBODIA', 'currency.code': 'KHR', 'currency.digits': '2', 'currency.number': '116', 'currency.name': 'Riel'},
    {'country.name': 'CAMEROON', 'currency.code': 'XAF', 'currency.digits': '0', 'currency.number': '950', 'currency.name': 'CFA Franc BEAC'},
    {'country.name': 'CANADA', 'currency.code': 'CAD', 'currency.digits': '2', 'currency.number': '124', 'currency.name': 'Canadian Dollar'},
    {'country.name': 'CAYMAN ISLANDS (THE)', 'currency.code': 'KYD', 'currency.digits': '2', 'currency.number': '136', 'currency.name': 'Cayman Islands Dollar'},
    {'country.name': 'CENTRAL AFRICAN REPUBLIC (THE)', 'currency.code': 'XAF', 'currency.digits': '0', 'currency.number': '950', 'currency.name': 'CFA Franc BEAC'},
    {'country.name': 'CHAD', 'currency.code': 'XAF', 'currency.digits': '0', 'currency.number': '950', 'currency.name': 'CFA Franc BEAC'},
    {'country.name': 'CHILE', 'currency.code': 'CLP', 'currency.digits': '0', 'currency.number': '152', 'currency.name': 'Chilean Peso'},
    {'country.name': 'CHILE', 'currency.code': 'CLF', 'currency.digits': '4', 'currency.number': '990', 'currency.name': 'Unidad de Fomento'},
    {'country.name': 'CHINA', 'currency.code': 'CNY', 'currency.digits': '2', 'currency.number': '156', 'currency.name': 'Yuan Renminbi'},
    {'country.name': 'CHRISTMAS ISLAND', 'currency.code': 'AUD', 'currency.digits': '2', 'currency.number': '036', 'currency.name': 'Australian Dollar'},
    {'country.name': 'COCOS (KEELING) ISLANDS (THE)', 'currency.code': 'AUD', 'currency.digits': '2', 'currency.number': '036', 'currency.name': 'Australian Dollar'},
    {'country.name': 'COLOMBIA', 'currency.code': 'COP', 'currency.digits': '2', 'currency.number': '170', 'currency.name': 'Colombian Peso'},
    {'country.name': 'COLOMBIA', 'currency.code': 'COU', 'currency.digits': '2', 'currency.number': '970', 'currency.name': 'Unidad de Valor Real'},
    {'country.name': 'COMOROS (THE)', 'currency.code': 'KMF', 'currency.digits': '0', 'currency.number': '174', 'currency.name': 'Comorian Franc '},
    {'country.name': 'CONGO (THE DEMOCRATIC REPUBLIC OF THE)', 'currency.code': 'CDF', 'currency.digits': '2', 'currency.number': '976', 'currency.name': 'Congolese Franc'},
    {'country.name': 'CONGO (THE)', 'currency.code': 'XAF', 'currency.digits': '0', 'currency.number': '950', 'currency.name': 'CFA Franc BEAC'},
    {'country.name': 'COOK ISLANDS (THE)', 'currency.code': 'NZD', 'currency.digits': '2', 'currency.number': '554', 'currency.name': 'New Zealand Dollar'},
    {'country.name': 'COSTA RICA', 'currency.code': 'CRC', 'currency.digits': '2', 'currency.number': '188', 'currency.name': 'Costa Rican Colon'},
    {'country.name': "CÔTE D'IVOIRE", 'currency.code': 'XOF', 'currency.digits': '0', 'currency.number': '952', 'currency.name': 'CFA Franc BCEAO'},
    {'country.name': 'CROATIA', 'currency.code': 'HRK', 'currency.digits': '2', 'currency.number': '191', 'currency.name': 'Kuna'},
    {'country.name': 'CUBA', 'currency.code': 'CUP', 'currency.digits': '2', 'currency.number': '192', 'currency.name': 'Cuban Peso'},
    {'country.name': 'CUBA', 'currency.code': 'CUC', 'currency.digits': '2', 'currency.number': '931', 'currency.name': 'Peso Convertible'},
    {'country.name': 'CURAÇAO', 'currency.code': 'ANG', 'currency.digits': '2', 'currency.number': '532', 'currency.name': 'Netherlands Antillean Guilder'},
    {'country.name': 'CYPRUS', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'CZECHIA', 'currency.code': 'CZK', 'currency.digits': '2', 'currency.number': '203', 'currency.name': 'Czech Koruna'},
    {'country.name': 'DENMARK', 'currency.code': 'DKK', 'currency.digits': '2', 'currency.number': '208', 'currency.name': 'Danish Krone'},
    {'country.name': 'DJIBOUTI', 'currency.code': 'DJF', 'currency.digits': '0', 'currency.number': '262', 'currency.name': 'Djibouti Franc'},
    {'country.name': 'DOMINICA', 'currency.code': 'XCD', 'currency.digits': '2', 'currency.number': '951', 'currency.name': 'East Caribbean Dollar'},
    {'country.name': 'DOMINICAN REPUBLIC (THE)', 'currency.code': 'DOP', 'currency.digits': '2', 'currency.number': '214', 'currency.name': 'Dominican Peso'},
    {'country.name': 'ECUADOR', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'EGYPT', 'currency.code': 'EGP', 'currency.digits': '2', 'currency.number': '818', 'currency.name': 'Egyptian Pound'},
    {'country.name': 'EL SALVADOR', 'currency.code': 'SVC', 'currency.digits': '2', 'currency.number': '222', 'currency.name': 'El Salvador Colon'},
    {'country.name': 'EL SALVADOR', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'EQUATORIAL GUINEA', 'currency.code': 'XAF', 'currency.digits': '0', 'currency.number': '950', 'currency.name': 'CFA Franc BEAC'},
    {'country.name': 'ERITREA', 'currency.code': 'ERN', 'currency.digits': '2', 'currency.number': '232', 'currency.name': 'Nakfa'},
    {'country.name': 'ESTONIA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'ESWATINI', 'currency.code': 'SZL', 'currency.digits': '2', 'currency.number': '748', 'currency.name': 'Lilangeni'},
    {'country.name': 'ETHIOPIA', 'currency.code': 'ETB', 'currency.digits': '2', 'currency.number': '230', 'currency.name': 'Ethiopian Birr'},
    {'country.name': 'EUROPEAN UNION', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'FALKLAND ISLANDS (THE) [MALVINAS]', 'currency.code': 'FKP', 'currency.digits': '2', 'currency.number': '238', 'currency.name': 'Falkland Islands Pound'},
    {'country.name': 'FAROE ISLANDS (THE)', 'currency.code': 'DKK', 'currency.digits': '2', 'currency.number': '208', 'currency.name': 'Danish Krone'},
    {'country.name': 'FIJI', 'currency.code': 'FJD', 'currency.digits': '2', 'currency.number': '242', 'currency.name': 'Fiji Dollar'},
    {'country.name': 'FINLAND', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'FRANCE', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'FRENCH GUIANA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'FRENCH POLYNESIA', 'currency.code': 'XPF', 'currency.digits': '0', 'currency.number': '953', 'currency.name': 'CFP Franc'},
    {'country.name': 'FRENCH SOUTHERN TERRITORIES (THE)', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'GABON', 'currency.code': 'XAF', 'currency.digits': '0', 'currency.number': '950', 'currency.name': 'CFA Franc BEAC'},
    {'country.name': 'GAMBIA (THE)', 'currency.code': 'GMD', 'currency.digits': '2', 'currency.number': '270', 'currency.name': 'Dalasi'},
    {'country.name': 'GEORGIA', 'currency.code': 'GEL', 'currency.digits': '2', 'currency.number': '981', 'currency.name': 'Lari'},
    {'country.name': 'GERMANY', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'GHANA', 'currency.code': 'GHS', 'currency.digits': '2', 'currency.number': '936', 'currency.name': 'Ghana Cedi'},
    {'country.name': 'GIBRALTAR', 'currency.code': 'GIP', 'currency.digits': '2', 'currency.number': '292', 'currency.name': 'Gibraltar Pound'},
    {'country.name': 'GREECE', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'GREENLAND', 'currency.code': 'DKK', 'currency.digits': '2', 'currency.number': '208', 'currency.name': 'Danish Krone'},
    {'country.name': 'GRENADA', 'currency.code': 'XCD', 'currency.digits': '2', 'currency.number': '951', 'currency.name': 'East Caribbean Dollar'},
    {'country.name': 'GUADELOUPE', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'GUAM', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'GUATEMALA', 'currency.code': 'GTQ', 'currency.digits': '2', 'currency.number': '320', 'currency.name': 'Quetzal'},
    {'country.name': 'GUERNSEY', 'currency.code': 'GBP', 'currency.digits': '2', 'currency.number': '826', 'currency.name': 'Pound Sterling'},
    {'country.name': 'GUINEA', 'currency.code': 'GNF', 'currency.digits': '0', 'currency.number': '324', 'currency.name': 'Guinean Franc'},
    {'country.name': 'GUINEA-BISSAU', 'currency.code': 'XOF', 'currency.digits': '0', 'currency.number': '952', 'currency.name': 'CFA Franc BCEAO'},
    {'country.name': 'GUYANA', 'currency.code': 'GYD', 'currency.digits': '2', 'currency.number': '328', 'currency.name': 'Guyana Dollar'},
    {'country.name': 'HAITI', 'currency.code': 'HTG', 'currency.digits': '2', 'currency.number': '332', 'currency.name': 'Gourde'},
    {'country.name': 'HAITI', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'HEARD ISLAND AND McDONALD ISLANDS', 'currency.code': 'AUD', 'currency.digits': '2', 'currency.number': '036', 'currency.name': 'Australian Dollar'},
    {'country.name': 'HOLY SEE (THE)', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'HONDURAS', 'currency.code': 'HNL', 'currency.digits': '2', 'currency.number': '340', 'currency.name': 'Lempira'},
    {'country.name': 'HONG KONG', 'currency.code': 'HKD', 'currency.digits': '2', 'currency.number': '344', 'currency.name': 'Hong Kong Dollar'},
    {'country.name': 'HUNGARY', 'currency.code': 'HUF', 'currency.digits': '2', 'currency.number': '348', 'currency.name': 'Forint'},
    {'country.name': 'ICELAND', 'currency.code': 'ISK', 'currency.digits': '0', 'currency.number': '352', 'currency.name': 'Iceland Krona'},
    {'country.name': 'INDIA', 'currency.code': 'INR', 'currency.digits': '2', 'currency.number': '356', 'currency.name': 'Indian Rupee'},
    {'country.name': 'INDONESIA', 'currency.code': 'IDR', 'currency.digits': '2', 'currency.number': '360', 'currency.name': 'Rupiah'},
    {'country.name': 'INTERNATIONAL MONETARY FUND (IMF) ', 'currency.code': 'XDR', 'currency.digits': 'N.A.', 'currency.number': '960', 'currency.name': 'SDR (Special Drawing Right)'},
    {'country.name': 'IRAN (ISLAMIC REPUBLIC OF)', 'currency.code': 'IRR', 'currency.digits': '2', 'currency.number': '364', 'currency.name': 'Iranian Rial'},
    {'country.name': 'IRAQ', 'currency.code': 'IQD', 'currency.digits': '3', 'currency.number': '368', 'currency.name': 'Iraqi Dinar'},
    {'country.name': 'IRELAND', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'ISLE OF MAN', 'currency.code': 'GBP', 'currency.digits': '2', 'currency.number': '826', 'currency.name': 'Pound Sterling'},
    {'country.name': 'ISRAEL', 'currency.code': 'ILS', 'currency.digits': '2', 'currency.number': '376', 'currency.name': 'New Israeli Sheqel'},
    {'country.name': 'ITALY', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'JAMAICA', 'currency.code': 'JMD', 'currency.digits': '2', 'currency.number': '388', 'currency.name': 'Jamaican Dollar'},
    {'country.name': 'JAPAN', 'currency.code': 'JPY', 'currency.digits': '0', 'currency.number': '392', 'currency.name': 'Yen'},
    {'country.name': 'JERSEY', 'currency.code': 'GBP', 'currency.digits': '2', 'currency.number': '826', 'currency.name': 'Pound Sterling'},
    {'country.name': 'JORDAN', 'currency.code': 'JOD', 'currency.digits': '3', 'currency.number': '400', 'currency.name': 'Jordanian Dinar'},
    {'country.name': 'KAZAKHSTAN', 'currency.code': 'KZT', 'currency.digits': '2', 'currency.number': '398', 'currency.name': 'Tenge'},
    {'country.name': 'KENYA', 'currency.code': 'KES', 'currency.digits': '2', 'currency.number': '404', 'currency.name': 'Kenyan Shilling'},
    {'country.name': 'KIRIBATI', 'currency.code': 'AUD', 'currency.digits': '2', 'currency.number': '036', 'currency.name': 'Australian Dollar'},
    {'country.name': 'KOREA (THE DEMOCRATIC PEOPLE’S REPUBLIC OF)', 'currency.code': 'KPW', 'currency.digits': '2', 'currency.number': '408', 'currency.name': 'North Korean Won'},
    {'country.name': 'KOREA (THE REPUBLIC OF)', 'currency.code': 'KRW', 'currency.digits': '0', 'currency.number': '410', 'currency.name': 'Won'},
    {'country.name': 'KUWAIT', 'currency.code': 'KWD', 'currency.digits': '3', 'currency.number': '414', 'currency.name': 'Kuwaiti Dinar'},
    {'country.name': 'KYRGYZSTAN', 'currency.code': 'KGS', 'currency.digits': '2', 'currency.number': '417', 'currency.name': 'Som'},
    {'country.name': 'LAO PEOPLE’S DEMOCRATIC REPUBLIC (THE)', 'currency.code': 'LAK', 'currency.digits': '2', 'currency.number': '418', 'currency.name': 'Lao Kip'},
    {'country.name': 'LATVIA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'LEBANON', 'currency.code': 'LBP', 'currency.digits': '2', 'currency.number': '422', 'currency.name': 'Lebanese Pound'},
    {'country.name': 'LESOTHO', 'currency.code': 'LSL', 'currency.digits': '2', 'currency.number': '426', 'currency.name': 'Loti'},
    {'country.name': 'LESOTHO', 'currency.code': 'ZAR', 'currency.digits': '2', 'currency.number': '710', 'currency.name': 'Rand'},
    {'country.name': 'LIBERIA', 'currency.code': 'LRD', 'currency.digits': '2', 'currency.number': '430', 'currency.name': 'Liberian Dollar'},
    {'country.name': 'LIBYA', 'currency.code': 'LYD', 'currency.digits': '3', 'currency.number': '434', 'currency.name': 'Libyan Dinar'},
    {'country.name': 'LIECHTENSTEIN', 'currency.code': 'CHF', 'currency.digits': '2', 'currency.number': '756', 'currency.name': 'Swiss Franc'},
    {'country.name': 'LITHUANIA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'LUXEMBOURG', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'MACAO', 'currency.code': 'MOP', 'currency.digits': '2', 'currency.number': '446', 'currency.name': 'Pataca'},
    {'country.name': 'NORTH MACEDONIA', 'currency.code': 'MKD', 'currency.digits': '2', 'currency.number': '807', 'currency.name': 'Denar'},
    {'country.name': 'MADAGASCAR', 'currency.code': 'MGA', 'currency.digits': '2', 'currency.number': '969', 'currency.name': 'Malagasy Ariary'},
    {'country.name': 'MALAWI', 'currency.code': 'MWK', 'currency.digits': '2', 'currency.number': '454', 'currency.name': 'Malawi Kwacha'},
    {'country.name': 'MALAYSIA', 'currency.code': 'MYR', 'currency.digits': '2', 'currency.number': '458', 'currency.name': 'Malaysian Ringgit'},
    {'country.name': 'MALDIVES', 'currency.code': 'MVR', 'currency.digits': '2', 'currency.number': '462', 'currency.name': 'Rufiyaa'},
    {'country.name': 'MALI', 'currency.code': 'XOF', 'currency.digits': '0', 'currency.number': '952', 'currency.name': 'CFA Franc BCEAO'},
    {'country.name': 'MALTA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'MARSHALL ISLANDS (THE)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'MARTINIQUE', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'MAURITANIA', 'currency.code': 'MRU', 'currency.digits': '2', 'currency.number': '929', 'currency.name': 'Ouguiya'},
    {'country.name': 'MAURITIUS', 'currency.code': 'MUR', 'currency.digits': '2', 'currency.number': '480', 'currency.name': 'Mauritius Rupee'},
    {'country.name': 'MAYOTTE', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'MEMBER COUNTRIES OF THE AFRICAN DEVELOPMENT BANK GROUP', 'currency.code': 'XUA', 'currency.digits': 'N.A.', 'currency.number': '965', 'currency.name': 'ADB Unit of Account'},
    {'country.name': 'MEXICO', 'currency.code': 'MXN', 'currency.digits': '2', 'currency.number': '484', 'currency.name': 'Mexican Peso'},
    {'country.name': 'MEXICO', 'currency.code': 'MXV', 'currency.digits': '2', 'currency.number': '979', 'currency.name': 'Mexican Unidad de Inversion (UDI)'},
    {'country.name': 'MICRONESIA (FEDERATED STATES OF)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'MOLDOVA (THE REPUBLIC OF)', 'currency.code': 'MDL', 'currency.digits': '2', 'currency.number': '498', 'currency.name': 'Moldovan Leu'},
    {'country.name': 'MONACO', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'MONGOLIA', 'currency.code': 'MNT', 'currency.digits': '2', 'currency.number': '496', 'currency.name': 'Tugrik'},
    {'country.name': 'MONTENEGRO', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'MONTSERRAT', 'currency.code': 'XCD', 'currency.digits': '2', 'currency.number': '951', 'currency.name': 'East Caribbean Dollar'},
    {'country.name': 'MOROCCO', 'currency.code': 'MAD', 'currency.digits': '2', 'currency.number': '504', 'currency.name': 'Moroccan Dirham'},
    {'country.name': 'MOZAMBIQUE', 'currency.code': 'MZN', 'currency.digits': '2', 'currency.number': '943', 'currency.name': 'Mozambique Metical'},
    {'country.name': 'MYANMAR', 'currency.code': 'MMK', 'currency.digits': '2', 'currency.number': '104', 'currency.name': 'Kyat'},
    {'country.name': 'NAMIBIA', 'currency.code': 'NAD', 'currency.digits': '2', 'currency.number': '516', 'currency.name': 'Namibia Dollar'},
    {'country.name': 'NAMIBIA', 'currency.code': 'ZAR', 'currency.digits': '2', 'currency.number': '710', 'currency.name': 'Rand'},
    {'country.name': 'NAURU', 'currency.code': 'AUD', 'currency.digits': '2', 'currency.number': '036', 'currency.name': 'Australian Dollar'},
    {'country.name': 'NEPAL', 'currency.code': 'NPR', 'currency.digits': '2', 'currency.number': '524', 'currency.name': 'Nepalese Rupee'},
    {'country.name': 'NETHERLANDS (THE)', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'NEW CALEDONIA', 'currency.code': 'XPF', 'currency.digits': '0', 'currency.number': '953', 'currency.name': 'CFP Franc'},
    {'country.name': 'NEW ZEALAND', 'currency.code': 'NZD', 'currency.digits': '2', 'currency.number': '554', 'currency.name': 'New Zealand Dollar'},
    {'country.name': 'NICARAGUA', 'currency.code': 'NIO', 'currency.digits': '2', 'currency.number': '558', 'currency.name': 'Cordoba Oro'},
    {'country.name': 'NIGER (THE)', 'currency.code': 'XOF', 'currency.digits': '0', 'currency.number': '952', 'currency.name': 'CFA Franc BCEAO'},
    {'country.name': 'NIGERIA', 'currency.code': 'NGN', 'currency.digits': '2', 'currency.number': '566', 'currency.name': 'Naira'},
    {'country.name': 'NIUE', 'currency.code': 'NZD', 'currency.digits': '2', 'currency.number': '554', 'currency.name': 'New Zealand Dollar'},
    {'country.name': 'NORFOLK ISLAND', 'currency.code': 'AUD', 'currency.digits': '2', 'currency.number': '036', 'currency.name': 'Australian Dollar'},
    {'country.name': 'NORTHERN MARIANA ISLANDS (THE)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'NORWAY', 'currency.code': 'NOK', 'currency.digits': '2', 'currency.number': '578', 'currency.name': 'Norwegian Krone'},
    {'country.name': 'OMAN', 'currency.code': 'OMR', 'currency.digits': '3', 'currency.number': '512', 'currency.name': 'Rial Omani'},
    {'country.name': 'PAKISTAN', 'currency.code': 'PKR', 'currency.digits': '2', 'currency.number': '586', 'currency.name': 'Pakistan Rupee'},
    {'country.name': 'PALAU', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'PANAMA', 'currency.code': 'PAB', 'currency.digits': '2', 'currency.number': '590', 'currency.name': 'Balboa'},
    {'country.name': 'PANAMA', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'PAPUA NEW GUINEA', 'currency.code': 'PGK', 'currency.digits': '2', 'currency.number': '598', 'currency.name': 'Kina'},
    {'country.name': 'PARAGUAY', 'currency.code': 'PYG', 'currency.digits': '0', 'currency.number': '600', 'currency.name': 'Guarani'},
    {'country.name': 'PERU', 'currency.code': 'PEN', 'currency.digits': '2', 'currency.number': '604', 'currency.name': 'Sol'},
    {'country.name': 'PHILIPPINES (THE)', 'currency.code': 'PHP', 'currency.digits': '2', 'currency.number': '608', 'currency.name': 'Philippine Peso'},
    {'country.name': 'PITCAIRN', 'currency.code': 'NZD', 'currency.digits': '2', 'currency.number': '554', 'currency.name': 'New Zealand Dollar'},
    {'country.name': 'POLAND', 'currency.code': 'PLN', 'currency.digits': '2', 'currency.number': '985', 'currency.name': 'Zloty'},
    {'country.name': 'PORTUGAL', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'PUERTO RICO', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'QATAR', 'currency.code': 'QAR', 'currency.digits': '2', 'currency.number': '634', 'currency.name': 'Qatari Rial'},
    {'country.name': 'RÉUNION', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'ROMANIA', 'currency.code': 'RON', 'currency.digits': '2', 'currency.number': '946', 'currency.name': 'Romanian Leu'},
    {'country.name': 'RUSSIAN FEDERATION (THE)', 'currency.code': 'RUB', 'currency.digits': '2', 'currency.number': '643', 'currency.name': 'Russian Ruble'},
    {'country.name': 'RWANDA', 'currency.code': 'RWF', 'currency.digits': '0', 'currency.number': '646', 'currency.name': 'Rwanda Franc'},
    {'country.name': 'SAINT BARTHÉLEMY', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'SAINT HELENA, ASCENSION AND TRISTAN DA CUNHA', 'currency.code': 'SHP', 'currency.digits': '2', 'currency.number': '654', 'currency.name': 'Saint Helena Pound'},
    {'country.name': 'SAINT KITTS AND NEVIS', 'currency.code': 'XCD', 'currency.digits': '2', 'currency.number': '951', 'currency.name': 'East Caribbean Dollar'},
    {'country.name': 'SAINT LUCIA', 'currency.code': 'XCD', 'currency.digits': '2', 'currency.number': '951', 'currency.name': 'East Caribbean Dollar'},
    {'country.name': 'SAINT MARTIN (FRENCH PART)', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'SAINT PIERRE AND MIQUELON', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'SAINT VINCENT AND THE GRENADINES', 'currency.code': 'XCD', 'currency.digits': '2', 'currency.number': '951', 'currency.name': 'East Caribbean Dollar'},
    {'country.name': 'SAMOA', 'currency.code': 'WST', 'currency.digits': '2', 'currency.number': '882', 'currency.name': 'Tala'},
    {'country.name': 'SAN MARINO', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'SAO TOME AND PRINCIPE', 'currency.code': 'STN', 'currency.digits': '2', 'currency.number': '930', 'currency.name': 'Dobra'},
    {'country.name': 'SAUDI ARABIA', 'currency.code': 'SAR', 'currency.digits': '2', 'currency.number': '682', 'currency.name': 'Saudi Riyal'},
    {'country.name': 'SENEGAL', 'currency.code': 'XOF', 'currency.digits': '0', 'currency.number': '952', 'currency.name': 'CFA Franc BCEAO'},
    {'country.name': 'SERBIA', 'currency.code': 'RSD', 'currency.digits': '2', 'currency.number': '941', 'currency.name': 'Serbian Dinar'},
    {'country.name': 'SEYCHELLES', 'currency.code': 'SCR', 'currency.digits': '2', 'currency.number': '690', 'currency.name': 'Seychelles Rupee'},
    {'country.name': 'SIERRA LEONE', 'currency.code': 'SLL', 'currency.digits': '2', 'currency.number': '694', 'currency.name': 'Leone'},
    {'country.name': 'SINGAPORE', 'currency.code': 'SGD', 'currency.digits': '2', 'currency.number': '702', 'currency.name': 'Singapore Dollar'},
    {'country.name': 'SINT MAARTEN (DUTCH PART)', 'currency.code': 'ANG', 'currency.digits': '2', 'currency.number': '532', 'currency.name': 'Netherlands Antillean Guilder'},
    {'country.name': 'SISTEMA UNITARIO DE COMPENSACION REGIONAL DE PAGOS "SUCRE"', 'currency.code': 'XSU', 'currency.digits': 'N.A.', 'currency.number': '994', 'currency.name': 'Sucre'},
    {'country.name': 'SLOVAKIA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'SLOVENIA', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'SOLOMON ISLANDS', 'currency.code': 'SBD', 'currency.digits': '2', 'currency.number': '090', 'currency.name': 'Solomon Islands Dollar'},
    {'country.name': 'SOMALIA', 'currency.code': 'SOS', 'currency.digits': '2', 'currency.number': '706', 'currency.name': 'Somali Shilling'},
    {'country.name': 'SOUTH AFRICA', 'currency.code': 'ZAR', 'currency.digits': '2', 'currency.number': '710', 'currency.name': 'Rand'},
    {'country.name': 'SOUTH SUDAN', 'currency.code': 'SSP', 'currency.digits': '2', 'currency.number': '728', 'currency.name': 'South Sudanese Pound'},
    {'country.name': 'SPAIN', 'currency.code': 'EUR', 'currency.digits': '2', 'currency.number': '978', 'currency.name': 'Euro'},
    {'country.name': 'SRI LANKA', 'currency.code': 'LKR', 'currency.digits': '2', 'currency.number': '144', 'currency.name': 'Sri Lanka Rupee'},
    {'country.name': 'SUDAN (THE)', 'currency.code': 'SDG', 'currency.digits': '2', 'currency.number': '938', 'currency.name': 'Sudanese Pound'},
    {'country.name': 'SURINAME', 'currency.code': 'SRD', 'currency.digits': '2', 'currency.number': '968', 'currency.name': 'Surinam Dollar'},
    {'country.name': 'SVALBARD AND JAN MAYEN', 'currency.code': 'NOK', 'currency.digits': '2', 'currency.number': '578', 'currency.name': 'Norwegian Krone'},
    {'country.name': 'SWEDEN', 'currency.code': 'SEK', 'currency.digits': '2', 'currency.number': '752', 'currency.name': 'Swedish Krona'},
    {'country.name': 'SWITZERLAND', 'currency.code': 'CHF', 'currency.digits': '2', 'currency.number': '756', 'currency.name': 'Swiss Franc'},
    {'country.name': 'SWITZERLAND', 'currency.code': 'CHE', 'currency.digits': '2', 'currency.number': '947', 'currency.name': 'WIR Euro'},
    {'country.name': 'SWITZERLAND', 'currency.code': 'CHW', 'currency.digits': '2', 'currency.number': '948', 'currency.name': 'WIR Franc'},
    {'country.name': 'SYRIAN ARAB REPUBLIC', 'currency.code': 'SYP', 'currency.digits': '2', 'currency.number': '760', 'currency.name': 'Syrian Pound'},
    {'country.name': 'TAIWAN (PROVINCE OF CHINA)', 'currency.code': 'TWD', 'currency.digits': '2', 'currency.number': '901', 'currency.name': 'New Taiwan Dollar'},
    {'country.name': 'TAJIKISTAN', 'currency.code': 'TJS', 'currency.digits': '2', 'currency.number': '972', 'currency.name': 'Somoni'},
    {'country.name': 'TANZANIA, UNITED REPUBLIC OF', 'currency.code': 'TZS', 'currency.digits': '2', 'currency.number': '834', 'currency.name': 'Tanzanian Shilling'},
    {'country.name': 'THAILAND', 'currency.code': 'THB', 'currency.digits': '2', 'currency.number': '764', 'currency.name': 'Baht'},
    {'country.name': 'TIMOR-LESTE', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'TOGO', 'currency.code': 'XOF', 'currency.digits': '0', 'currency.number': '952', 'currency.name': 'CFA Franc BCEAO'},
    {'country.name': 'TOKELAU', 'currency.code': 'NZD', 'currency.digits': '2', 'currency.number': '554', 'currency.name': 'New Zealand Dollar'},
    {'country.name': 'TONGA', 'currency.code': 'TOP', 'currency.digits': '2', 'currency.number': '776', 'currency.name': 'Pa’anga'},
    {'country.name': 'TRINIDAD AND TOBAGO', 'currency.code': 'TTD', 'currency.digits': '2', 'currency.number': '780', 'currency.name': 'Trinidad and Tobago Dollar'},
    {'country.name': 'TUNISIA', 'currency.code': 'TND', 'currency.digits': '3', 'currency.number': '788', 'currency.name': 'Tunisian Dinar'},
    {'country.name': 'TURKEY', 'currency.code': 'TRY', 'currency.digits': '2', 'currency.number': '949', 'currency.name': 'Turkish Lira'},
    {'country.name': 'TURKMENISTAN', 'currency.code': 'TMT', 'currency.digits': '2', 'currency.number': '934', 'currency.name': 'Turkmenistan New Manat'},
    {'country.name': 'TURKS AND CAICOS ISLANDS (THE)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'TUVALU', 'currency.code': 'AUD', 'currency.digits': '2', 'currency.number': '036', 'currency.name': 'Australian Dollar'},
    {'country.name': 'UGANDA', 'currency.code': 'UGX', 'currency.digits': '0', 'currency.number': '800', 'currency.name': 'Uganda Shilling'},
    {'country.name': 'UKRAINE', 'currency.code': 'UAH', 'currency.digits': '2', 'currency.number': '980', 'currency.name': 'Hryvnia'},
    {'country.name': 'UNITED ARAB EMIRATES (THE)', 'currency.code': 'AED', 'currency.digits': '2', 'currency.number': '784', 'currency.name': 'UAE Dirham'},
    {'country.name': 'UNITED KINGDOM OF GREAT BRITAIN AND NORTHERN IRELAND (THE)', 'currency.code': 'GBP', 'currency.digits': '2', 'currency.number': '826', 'currency.name': 'Pound Sterling'},
    {'country.name': 'UNITED STATES MINOR OUTLYING ISLANDS (THE)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'UNITED STATES OF AMERICA (THE)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'UNITED STATES OF AMERICA (THE)', 'currency.code': 'USN', 'currency.digits': '2', 'currency.number': '997', 'currency.name': 'US Dollar (Next day)'},
    {'country.name': 'URUGUAY', 'currency.code': 'UYU', 'currency.digits': '2', 'currency.number': '858', 'currency.name': 'Peso Uruguayo'},
    {'country.name': 'URUGUAY', 'currency.code': 'UYI', 'currency.digits': '0', 'currency.number': '940', 'currency.name': 'Uruguay Peso en Unidades Indexadas (UI)'},
    {'country.name': 'URUGUAY', 'currency.code': 'UYW', 'currency.digits': '4', 'currency.number': '927', 'currency.name': 'Unidad Previsional'},
    {'country.name': 'UZBEKISTAN', 'currency.code': 'UZS', 'currency.digits': '2', 'currency.number': '860', 'currency.name': 'Uzbekistan Sum'},
    {'country.name': 'VANUATU', 'currency.code': 'VUV', 'currency.digits': '0', 'currency.number': '548', 'currency.name': 'Vatu'},
    {'country.name': 'VENEZUELA (BOLIVARIAN REPUBLIC OF)', 'currency.code': 'VES', 'currency.digits': '2', 'currency.number': '928', 'currency.name': 'Bolívar Soberano'},
    {'country.name': 'VIET NAM', 'currency.code': 'VND', 'currency.digits': '0', 'currency.number': '704', 'currency.name': 'Dong'},
    {'country.name': 'VIRGIN ISLANDS (BRITISH)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'VIRGIN ISLANDS (U.S.)', 'currency.code': 'USD', 'currency.digits': '2', 'currency.number': '840', 'currency.name': 'US Dollar'},
    {'country.name': 'WALLIS AND FUTUNA', 'currency.code': 'XPF', 'currency.digits': '0', 'currency.number': '953', 'currency.name': 'CFP Franc'},
    {'country.name': 'WESTERN SAHARA', 'currency.code': 'MAD', 'currency.digits': '2', 'currency.number': '504', 'currency.name': 'Moroccan Dirham'},
    {'country.name': 'YEMEN', 'currency.code': 'YER', 'currency.digits': '2', 'currency.number': '886', 'currency.name': 'Yemeni Rial'},
    {'country.name': 'ZAMBIA', 'currency.code': 'ZMW', 'currency.digits': '2', 'currency.number': '967', 'currency.name': 'Zambian Kwacha'},
    {'country.name': 'ZIMBABWE', 'currency.code': 'ZWL', 'currency.digits': '2', 'currency.number': '932', 'currency.name': 'Zimbabwe Dollar'},
    {'country.name': 'ZZ01_Bond Markets Unit European_EURCO', 'currency.code': 'XBA', 'currency.digits': 'N.A.', 'currency.number': '955', 'currency.name': 'Bond Markets Unit European Composite Unit (EURCO)'},
    {'country.name': 'ZZ02_Bond Markets Unit European_EMU-6', 'currency.code': 'XBB', 'currency.digits': 'N.A.', 'currency.number': '956', 'currency.name': 'Bond Markets Unit European Monetary Unit (E.M.U.-6)'},
    {'country.name': 'ZZ03_Bond Markets Unit European_EUA-9', 'currency.code': 'XBC', 'currency.digits': 'N.A.', 'currency.number': '957', 'currency.name': 'Bond Markets Unit European Unit of Account 9 (E.U.A.-9)'},
    {'country.name': 'ZZ04_Bond Markets Unit European_EUA-17', 'currency.code': 'XBD', 'currency.digits': 'N.A.', 'currency.number': '958', 'currency.name': 'Bond Markets Unit European Unit of Account 17 (E.U.A.-17)'},
    {'country.name': 'ZZ06_Testing_Code', 'currency.code': 'XTS', 'currency.digits': 'N.A.', 'currency.number': '963', 'currency.name': 'Codes specifically reserved for testing purposes'},
    {'country.name': 'ZZ07_No_Currency', 'currency.code': 'XXX', 'currency.digits': 'N.A.', 'currency.number': '999', 'currency.name': 'The codes assigned for transactions where no currency is involved'},
    {'country.name': 'ZZ08_Gold', 'currency.code': 'XAU', 'currency.digits': 'N.A.', 'currency.number': '959', 'currency.name': 'Gold'},
    {'country.name': 'ZZ09_Palladium', 'currency.code': 'XPD', 'currency.digits': 'N.A.', 'currency.number': '964', 'currency.name': 'Palladium'},
    {'country.name': 'ZZ10_Platinum', 'currency.code': 'XPT', 'currency.digits': 'N.A.', 'currency.number': '962', 'currency.name': 'Platinum'},
    {'country.name': 'ZZ11_Silver', 'currency.code': 'XAG', 'currency.digits': 'N.A.', 'currency.number': '961', 'currency.name': 'Silver'},
]


def number(code):
    iso4217ByCode = {
        currency["currency.code"]: currency
        for currency in iso4217
    }
    return iso4217ByCode.get(code, {}).get("currency.number")


def code(number):
    iso4217ByNumber = {
        currency["currency.number"]: currency
        for currency in iso4217
    }
    return iso4217ByNumber.get(number, {}).get("currency.code")
